Package org.drinkless.tdlib

# Class TdApi.Contact

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Contact

Enclosing class:
  `TdApi`

public static class TdApi.Contact extends TdApi.Object
Describes a contact of a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `firstName`
  First name of the user; 1-64 characters.
  `String`
  `lastName`
  Last name of the user; 0-64 characters.
  `String`
  `phoneNumber`
  Phone number of the user.
  `long`
  `userId`
  Identifier of the user, if known; 0 otherwise.
  `String`
  `vcard`
  Additional data about the user in a form of vCard; 0-2048 bytes in length.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Contact()`
  Describes a contact of a user.
  `Contact(String phoneNumber, String firstName, String lastName, String vcard, long userId)`
  Describes a contact of a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### phoneNumber

    public String phoneNumber
    Phone number of the user.

  - ### firstName

    public String firstName
    First name of the user; 1-64 characters.

  - ### lastName

    public String lastName
    Last name of the user; 0-64 characters.

  - ### vcard

    public String vcard
    Additional data about the user in a form of vCard; 0-2048 bytes in length.

  - ### userId

    public long userId
    Identifier of the user, if known; 0 otherwise.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Contact

    public Contact()
    Describes a contact of a user.

  - ### Contact

    public Contact(String phoneNumber, String firstName, String lastName, String vcard, long userId)
    Describes a contact of a user.
    Parameters:
      `phoneNumber` - Phone number of the user.
      `firstName` - First name of the user; 1-64 characters.
      `lastName` - Last name of the user; 0-64 characters.
      `vcard` - Additional data about the user in a form of vCard; 0-2048 bytes in length.
      `userId` - Identifier of the user, if known; 0 otherwise.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR